Issue 83202 - SVG export creates "deadly" file
Summary: SVG export creates "deadly" file
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: save-export (show other issues)
Version: OOo 2.3
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: ooo
QA Contact:
URL:
Keywords:
: 84164 (view as issue list)
Depends on:
Blocks:
 
Reported: 2007-11-01 13:49 UTC by joerg.skottke
Modified: 2017-05-20 10:33 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Company logo for SVG export (18.23 KB, application/vnd.sun.xml.draw)
2007-11-01 13:50 UTC, joerg.skottke
no flags Details
Resulting SVG file (446.54 KB, image/png)
2007-11-01 13:52 UTC, joerg.skottke
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description joerg.skottke 2007-11-01 13:49:30 UTC
Reproduction:
- Open attachment
- Convert it to SVG
- Load the SVG into Firefox

-> The resulting file has broken strings (the letters are garbled in the lower
left corner) and Firefox becomes unresponsive, it even managed to get the
windowmanager to crash on Ubuntu Gutsy.
Comment 1 joerg.skottke 2007-11-01 13:50:45 UTC
Created attachment 49326 [details]
Company logo for SVG export
Comment 2 joerg.skottke 2007-11-01 13:52:50 UTC
Created attachment 49327 [details]
Resulting SVG file
Comment 3 christian.guenther 2007-11-01 15:58:38 UTC
I can reproduce the bug.
Please have a look.
Comment 4 troodon 2007-11-04 22:19:47 UTC
Could this be caused by the current lack of support of some SVG 1.1 features in
Gecko (please refer to http://www.mozilla.org/projects/svg/status.html )? If you
open the attached SVG file in Inkscape 0.45.1, it will be rendered as expected.
Comment 5 Martin Hollmichel 2007-11-09 17:01:52 UTC
set target from 2.x to 3.x according
http://wiki.services.openoffice.org/wiki/Target_3x
Comment 6 christian.guenther 2007-12-05 13:59:03 UTC
*** Issue 84164 has been marked as a duplicate of this issue. ***
Comment 7 Rainer Bielefeld 2013-04-28 09:09:30 UTC
No longer reproducible with server installation of  "AOOo 4.0.0-Dev – English UI / German locale [AOO400m1(Build:9700) - Rev.1476029]" on WIN7 Home Premium (64bit)", own separate user profile

Sample export was "svg version="1.1"" > 400 kB, from current Master is "svg version="1.2"", so I doubt that this Bug still is relevant for current versions. 

(additionally current FF 20.0.1 is no longer vulnerable concerning the reported problems (garbled view, Hang.))

So I close this one, hope "Fixed" is appropriate, I am not familiar with current proceeding for bugs what vanished without known fix.